mwext-qunit-jessie test fails on unrelated change
Closed, ResolvedPublic

Description

Full log: https://integration.wikimedia.org/ci/job/mwext-qunit-jessie/6719/console

08:00:12 Chrome 53.0.2785 (Linux 0.0.0) ext.cx.tools.template Equivalent template exists FAILED
08:00:12 	Expected 1 assertions, but 0 were run
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:142:296
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:152:141
08:00:12 	    at Object.<anonymous> (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:648)
08:00:12 	    at fire (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:122)
08:00:12 	    at Object.add [as done] (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:656)
08:00:12 	    at Object.always (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:47:874)
08:00:12 	    at runScript (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:525)
08:00:12 	
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 947 of 1256 (1 FAILED) (0 secs / 9.868 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 948 of 1256 (1 FAILED) (0 secs / 9.903 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 949 of 1256 (1 FAILED) (0 secs / 9.921 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0) ext.cx.tools.template Template name and params adaptation using templatedata FAILED
08:00:12 	Expected 3 assertions, but 0 were run
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:145:677
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:152:141
08:00:12 	    at Object.<anonymous> (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:648)
08:00:12 	    at fire (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:122)
08:00:12 	    at Object.add [as done] (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:656)
08:00:12 	    at Object.always (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:47:874)
08:00:12 	    at runScript (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:525)
08:00:12 	
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 950 of 1256 (2 FAILED) (0 secs / 9.947 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0) ext.cx.tools.template Template params adaptation using templateData - English to French FAILED
08:00:12 	Expected 4 assertions, but 0 were run
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:148:259
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:152:141
08:00:12 	    at Object.<anonymous> (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:648)
08:00:12 	    at fire (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:122)
08:00:12 	    at Object.add [as done] (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:656)
08:00:12 	    at Object.always (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:47:874)
08:00:12 	    at runScript (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:525)
08:00:12 	
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 951 of 1256 (3 FAILED) (0 secs / 9.966 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0) ext.cx.tools.template Template params adaptation using templateData - English to Spanish FAILED
08:00:12 	Expected 6 assertions, but 0 were run
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:149:980
08:00:12 	    at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:152:141
08:00:12 	    at Object.<anonymous> (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:648)
08:00:12 	    at fire (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:122)
08:00:12 	    at Object.add [as done] (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:46:656)
08:00:12 	    at Object.always (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:47:874)
08:00:12 	    at runScript (http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=fallback&version=0z80h75:162:525)
08:00:12 	
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 952 of 1256 (4 FAILED) (0 secs / 9.987 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 953 of 1256 (4 FAILED) (0 secs / 9.99 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0) ERROR
08:00:12   Uncaught TypeError: Cannot convert undefined or null to object
08:00:12   at http://localhost:9876/jenkins-mwext-qunit-jessie-6719/load.php?debug=false&lang=en&modules=Base64.js%7CdataTypes.DataType%2CDataTypeStore%2C__namespace%7CdataValues%7CdataValues.DataValue%2CTimeValue%2Cvalues%7Ceasy-deflate.core%2Cdeflate%7Cext.cx.editor%2Cmodel%2Cpublish%2Csitemapper%2Ctranslation%2Cutil%7Cext.cx.publish.dialog%2Ctest%7Cext.cx.sitemapper.test%7Cext.cx.tools.card%2Ccategories%2Cmanager%2Cmtabuse%2Ctemplate%2Ctests%2Cvalidator%7Cext.cx.tours.publish.init%7Cext.cx.translation.loader%2Cprogress%2Ctests%7Cext.cx.translation.loader.test%7Cext.cx.util.selection%7Cext.echo.api%2Cdm%7Cext.echo.dm.tests%7Cext.eventLogging%7Cext.eventLogging.subscriber%2Ctests%7Cext.guidedTour.lib%2Cstyles%7Cext.guidedTour.lib.internal%2Ctests%7Cext.uls.common%2Ci18n%2Cinit%2Clanguagenames%2Cmediawiki%2Cmessages%2Cpreferences%2Ctests%7CglobeCoordinate.js%7Cjquery.AnimationEvent%2CPurposedCallbacks%2CaccessKeyLabel%2CanimateWithEvent%2CautoEllipsis%2Cautocompletestring%2CbyteLength%2CbyteLimit%2CcheckboxShiftClick%2Cclient%2Ccolor%2CcolorUtil%2Ccookie%2CfocusAt%2CgetAttrs%2Chidpi%2ChighlightText%2Ci18n%2Cinputautoexpand%2Clocalize%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2CremoveClassByRegex%2Csticknode%2CtabIndex%2Ctablesorter%2CtextSelection%2Cthrottle-debounce%2Ctipsy%7Cjquery.AnimationEvent.tests%7Cjquery.PurposedCallbacks.tests%7Cjquery.animateWithEvent.tests%7Cjquery.autocompletestring.tests%7Cjquery.event.special.eachchange%7Cjquery.event.special.eachchange.tests%7Cjquery.focusAt.tests%7Cjquery.inputautoexpand.tests%7Cjquery.removeClassByRegex.tests%7Cjquery.sticknode.tests%7Cjquery.ui.EditableTemplatedWidget%2CTemplatedWidget%2Ccloseable%2Ccommonssuggester%2Cinputextender%2Clanguagesuggester%2Clistrotator%2CooMenu%2Cpreview%2Csuggester%7Cjquery.ui.EditableTemplatedWidget.tests%7Cjquery.ui.TemplatedWidget.tests%7Cjquery.ui.closeable.tests%7Cjquery.ui.commonssuggester.tests%7Cjquery.ui.inputextender.tests%7Cjquery.ui.listrotator.tests%7Cjquery.ui.ooMenu.tests%7Cjquery.ui.preview.tests&skin=fallback&version=1uhtnn5:153
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 953 of 1256 (4 FAILED) ERROR (0 secs / 9.99 secs)
08:00:12 Chrome 53.0.2785 (Linux 0.0.0): Executed 953 of 1256 (4 FAILED) ERROR (10.244 secs / 9.99 secs)

@santhosh noted that these all 4 tests need connection to production wikis to fetch template data to pass tests.

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 5:47 AM
KartikMistry triaged this task as High priority.Dec 13 2016, 5:48 AM

Tests pass in our test instance cx2.wmflabs.org/index.php?title=Special:JavascriptTest too.

The ajax calls fail with code httpand {responseText: '', status: 0, statusText: 'error'}. Googling on the internet people say CSR issues can cause this, but we are using ForeingApi in anonymous mode.

I also tried to proxy my browser via a labs instance (not a actual test runner) to see if all of labs were suddenly blocked accessing Wikipedia, but the tests ran fine.

It seems that test runners have had recent change which prevents access to Wikipedia.

Change 326893 had a related patch set uploaded (by Nikerabbit):
Temporarily disable template, category related tests

https://gerrit.wikimedia.org/r/326893

Change 326893 merged by jenkins-bot:
Temporarily disable template, category related tests

https://gerrit.wikimedia.org/r/326893

@Addshore that is the qunit failure task I was referring to earlier today. Maybe there is something funky going on with Chrome 53 or a race condition related to the LANG set... :(

Since the upgrade to chromium 55 the problem has spread to more things causing qunit to fail most times now, see T153597

I moved this to blocked since there doesn't seem to be anything we can do apart from disabling the tests (already done) and rewriting them to use mock data (not scheduled for now).

Arrbee closed this task as Resolved.Dec 22 2016, 6:44 AM
Arrbee claimed this task.
Arrbee moved this task from Blocked to Done on the Language-Q2-2016-17 Sprint 5 board.

For context: the tests were enabled again and I haven't seen them failing again. This likely means that this bug and bug T153597: mediawiki-extensions-qunit-jessie tests are failing were related.

Most like yes. The random PHP output being emitted in a JavaScript file apparently caused the failure of most qunit tests... :(

Change 337543 had a related patch set uploaded (by Nikerabbit):
Temporarily disable template, category related tests (again)

https://gerrit.wikimedia.org/r/337543

Nikerabbit reopened this task as Open.Feb 14 2017, 6:47 AM

This is happening again. The symptoms are identical, and build logs look similar, although not exactly the same.

Change 337543 merged by jenkins-bot:
Temporarily disable template, category related tests (again)

https://gerrit.wikimedia.org/r/337543

Arrbee removed Arrbee as the assignee of this task.Feb 14 2017, 7:00 AM
Arrbee added a subscriber: Arrbee.

From a random build for ContentTranslation https://integration.wikimedia.org/ci/job/mwext-qunit-jessie/8191/console :

ext.cx.tools.template Equivalent template exists FAILED
 	Expected 1 assertions, but 0 were run
ext.cx.tools.template Template name and params adaptation using templatedata FAILED
 	Expected 3 assertions, but 0 were run
ext.cx.tools.template Template params adaptation using templateData - English to French FAILED
 	Expected 4 assertions, but 0 were run
etc

And later it aborts on a TypeError: Cannot convert undefined or null to object

00:03:09.510 Chrome 55.0.2883 (Linux 0.0.0): Executed 715 of 1270 (4 FAILED) (0 secs / 7.166 secs)
00:03:09.524 Chrome 55.0.2883 (Linux 0.0.0) ERROR
00:03:09.524   Uncaught TypeError: Cannot convert undefined or null to object
00:03:09.529 Chrome 55.0.2883 (Linux 0.0.0): Executed 715 of 1270 (4 FAILED) ERROR (0 secs / 7.166 secs)
00:03:09.537 Chrome 55.0.2883 (Linux 0.0.0): Executed 715 of 1270 (4 FAILED) ERROR (7.48 secs / 7.166 secs)
00:03:09.547 13 02 2017 15:58:30.557:DEBUG [karma]: Run complete, exiting.

I guess that can be reproduced on a dev machine? For info the cloned extensions are:

mediawiki/extensions/ContentTranslation 
mediawiki/extensions/Echo 
mediawiki/extensions/Elastica 
mediawiki/extensions/EventLogging 
mediawiki/extensions/GeoData 
mediawiki/extensions/GuidedTour 
mediawiki/extensions/Scribunto 
mediawiki/extensions/UniversalLanguageSelector 
mediawiki/extensions/Wikidata 
mediawiki/extensions/cldr

It's not happening to me locally, although I am missing few extensions from the list: GuidedTour, Scribunto, Wikidata.

{responseText: '', status: 0, statusText: 'error'} again. There is nothing suspicious in the logs as far as I can see.

Testing in https://gerrit.wikimedia.org/r/#/c/338937/ – perhaps requests going to Wikipedia are blocked again(?) somewhere?

Tgr added a subscriber: Tgr.Feb 22 2017, 7:01 PM

Are those write requests, to production? Could be caused by T154698 then.

Tgr added a comment.Feb 22 2017, 7:10 PM

I see this is an old problem, nevermind then (soft blocks were deployed Tuesday midnight UTC).

Yeah, and we are only making read queries.

Just to clarify, beside my comment from Feb 14th: I am not investigating this task.

mmodell added a subscriber: mmodell.Mar 1 2017, 6:51 PM

I got the impression that this test had been disabled to prevent blocking further work. Is that not the case?

@KartikMistry: Agreed, I was just trying to assess the urgency of getting it fixed.

greg added a subscriber: greg.Mar 4 2017, 12:43 AM

It's not happening to me locally, although I am missing few extensions from the list: GuidedTour, Scribunto, Wikidata.

Did you try with all of them installed yet?

hashar added a comment.EditedMar 6 2017, 5:19 PM

So one has to clone and wfLoadExtensions:

mediawiki/extensions/ContentTranslation 
mediawiki/extensions/Echo 
mediawiki/extensions/Elastica 
mediawiki/extensions/EventLogging 
mediawiki/extensions/GeoData 
mediawiki/extensions/GuidedTour 
mediawiki/extensions/Scribunto 
mediawiki/extensions/UniversalLanguageSelector 
mediawiki/extensions/Wikidata 
mediawiki/extensions/cldr

You would need to have the wiki exposed to a local web host for example localhost:80/w/index.php . The run is done via npm/grunt, the wiki location is configured via env variables.

LocalSettings.php needs $wgEnableJavaScriptTest = true;

npm install
MW_SERVER=localhost:80
MW_SCRIPT_PATH=/w
node_modules/.bin/grunt qunit

The test runner is karma, additional configuration is in /Gruntfile.js (such as changing the browser from Chrome to Chromium).

I reproduced it. The TLDR is that the tests fail on Chromium 55 but pass on Chromium 56. So we gotta upgrade CI instances to use 56.

I have enabled:

'ContentTranslation',
'Echo',
'Elastica',
'EventLogging',
'GeoData',
'GuidedTour',
'UniversalLanguageSelector',
'cldr',

Applied ContentTranslation patch https://gerrit.wikimedia.org/r/#/c/337545/

Ran karma with a tweak to enhance the report:

ext.cx.tools.template
  ✖ Equivalent template exists
  ✔ Adapting a template not existing in target language
  ✖ Adapting template having invalid title
  ✖ Template name and params adaptation using templatedata
  ✖ Template params adaptation using templateData - English to French
  ✖ Template params adaptation using templateData - English to Spanish

That is with chromium 55 from Debian. Upgrading to chromium 56 resolves it on my machine.

And of course the Nodepool instances have a stall apt configuration for some reason:

chromium:
  Installed: 55.0.2883.75-1~deb8u1
  Candidate: 55.0.2883.75-1~deb8u1
  Version table:
 *** 55.0.2883.75-1~deb8u1 0
        500 http://mirrors.wikimedia.org/debian/ jessie/main amd64 Packages
        500 http://security.debian.org/ jessie/updates/main amd64 Packages
        100 /var/lib/dpkg/status

I dont quite know what is broken in the apt repository. I am regenerating a fresh Jessie image on my machine. Will upload it and test it tomorrow making sure chromium 56 is installed. Then deploy and that should fix this specific issue.

The generation of the Jessie image got broken end of December. https://gerrit.wikimedia.org/r/341455 would fix it. Will continue tomorrow.

Zppix added a subscriber: Zppix.Mar 6 2017, 11:02 PM

Unrelated but it appears this happens on mediawiki's own version of this job

Mentioned in SAL (#wikimedia-releng) [2017-03-07T08:25:42Z] <hashar> Image snapshot-ci-jessie-1488874660 in wmflabs-eqiad is ready (Chromium 55->56 among others) - T153038

Change 337545 had a related patch set uploaded (by hashar; owner: nikerabbit):
[mediawiki/extensions/ContentTranslation] Revert "Temporarily disable template, category related tests (again)"

https://gerrit.wikimedia.org/r/337545

hashar closed this task as Resolved.Mar 7 2017, 8:39 AM

Restoring the tests. The root cause is that the tests broke somehow on Chromium version 55. CI instances have been upgraded to Chromium version 56 and that fix it :}

Change 337545 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation] Revert "Temporarily disable template, category related tests (again)"

https://gerrit.wikimedia.org/r/337545

Thanks @hashar for resolving this! I wouldn't have been able to figure this out myself :)

There are some recent Qunit failures (eg: https://integration.wikimedia.org/ci/job/mwext-qunit-jessie/9028/consoleFull). @hashar can you check? I'm trying to reproduce it locally.

Addshore removed a subscriber: Addshore.Mar 15 2017, 7:50 AM

Please try to reproduce based on my previous comment T153038#3076267

Please also see T160566, might be related.

It looks https://integration.wikimedia.org/ci/job/mwext-qunit-jessie/9066/console is OK now. @hashar Did you updated anything in Jenkins CI (I can see Chrome is updated atleast)?